function prepareShutdown(minutes)
        if(minutes <= 0) then
                doSetGameState(GAMESTATE_SHUTDOWN)
                return false
        end
 
        if(minutes == 1) then
                doBroadcastMessage("Servidor vai ser Reiniciado em " .. minutes .. " minuto Para salvar, Desloguem e aguardem!")
        elseif(minutes <= 3) then
                doBroadcastMessage("Servidor vai ser Reiniciado em " .. minutes .. " minutos Para salvar, Desloguem e aguardem.")
        else
                doBroadcastMessage("Servidor vai ser Reiniciado em " .. minutes .. " minutos Para salvar, Desloguem e aguardem.")
        end
 
        shutdownEvent = addEvent(prepareShutdown, 60000, minutes - 1)
        return true
end
 
function onTimer()
    return prepareShutdown(5) -- Quantos minutos pra executar o ServeSave. 
end